<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\CustomAttribute;

class ComponentCustomAttribute extends CustomAttribute
{
    protected function getSuffix(): string
    {
        return "component";
    }
    protected function validate($value): bool
    {
        return is_string($value) || is_null($value);
    }
    public function __toString(): string
    {
        return $this->value;
    }
}