<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class EncodeTypeAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            "application/x-www-form-urlencoded", 
            "multipart/form-data",
            "text/plain"
        ];
    }
    protected function name(): string
    {
        return "enctype";
    }
    public function __toString(): string
    {
        return $this->value;
    }
}