<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class InputModeAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            'decimal',
            'email',
            'none',
            'numeric',
            'search',
            'tel',
            'text',
            'url',
        ];
    }
    protected function name(): string
    {
        return "inputmode";
    }
    public function __toString(): string
    {
        return $this->value;
    }
}