<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class MethodAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            "post", "get", "put", "delete"
        ];
    }
    protected function name(): string
    {
        return "method";
    }
    public function __toString(): string
    {
        return $this->value;
    }
}