<?php

namespace ePHPic\View;

use \Exception;

abstract class EmptyAttribute extends Attribute
{
    protected function isEmptyAttribute(): bool
    {
        return true;
    }
    protected function validate($value): bool
    {
        if(null === $value || true === is_bool($value))
        {
            return true;
        }
        return false;
    }
    public function __toString(): string
    {
        if(true === $this->value)
        {
            return $this->name();
        }
        return "";
    }
}