<?php

namespace ePHPic\View;

use \Exception;

abstract class EnumAttribute extends NonEmptyAttribute
{
    abstract protected function getValidValues(): array;
    protected function validate($value): bool
    {
        return null === $value || in_array($value, $this->getValidValues(), true);
    }
}