<?php

namespace ePHPic\View;

use ePHPic\View\NonEmptyAttribute;

abstract class EventAttribute extends NonEmptyAttribute
{
    protected function validate($value): bool
    {
        return null === $value || is_string($value);
    }

    public function __toString(): string
    {
        return $this->value;
    }
}