<?php

namespace ePHPic\View;

use ePHPic\View\NonEmptyAttribute;

abstract class NumericalAttribute extends NonEmptyAttribute
{
    protected function validate($value): bool
    {
        return null === $value || is_numeric($value);
    }

    public function __toString(): string
    {
        return (string) $this->value;
    }
}