<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AltAttribute;
use ePHPic\View\Attributes\CoordinateAttribute;
use ePHPic\View\Attributes\DownloadAttribute;
use ePHPic\View\Attributes\HrefAttribute;
use ePHPic\View\Attributes\HrefLanguageAttribute;
use ePHPic\View\Attributes\MediaAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\RelationAttribute;
use ePHPic\View\Attributes\ShapeAttribute;
use ePHPic\View\Attributes\TargetAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class AreaTag extends Tag
{
    public AltAttribute $alt;
    public CoordinateAttribute $coords;
    public DownloadAttribute $download;
    public HrefAttribute $href;
    public HrefLanguageAttribute $hreflang;
    public MediaAttribute $media;
    public RefererPolicyAttribute $referrerpolicy;
    public RelationAttribute $rel;
    public ShapeAttribute $shape;
    public TargetAttribute $target;
    public TypeAttribute $type;

    protected function getTag(): string
    {
        return 'area';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
