<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AutoPlayAttribute;
use ePHPic\View\Attributes\ControlsAttribute;
use ePHPic\View\Attributes\LoopAttribute;
use ePHPic\View\Attributes\MutedAttribute;
use ePHPic\View\Attributes\PreloadAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Tag;

class AudioTag extends Tag
{
    public AutoPlayAttribute $autoplay;
    public ControlsAttribute $controls;
    public LoopAttribute $loop;
    public MutedAttribute $muted;
    public PreloadAttribute $preload;
    public SourceAttribute $src;

    protected function getTag(): string
    {
        return 'audio';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
