<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AcceptCharsetAttribute;
use ePHPic\View\Attributes\ActionAttribute;
use ePHPic\View\Attributes\AutoCompleteAttribute;
use ePHPic\View\Attributes\EncodeTypeAttribute;
use ePHPic\View\Attributes\MethodAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\NoValidateAttribute;
use ePHPic\View\Attributes\RelationAttribute;
use ePHPic\View\Attributes\TargetAttribute;
use ePHPic\View\Tag;

class FormTag extends Tag
{
    public AcceptCharsetAttribute $acceptCharset;
    public ActionAttribute $action;
    public AutoCompleteAttribute $autoComplete;
    public EncodeTypeAttribute $encodeType;
    public MethodAttribute $method;
    public NameAttribute $name;
    public NoValidateAttribute $noValidate;
    public RelationAttribute $relation;
    public TargetAttribute $target;

    protected function getTag(): string
    {
        return 'form';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
