<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\SourceDocumentAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class FrameTag extends Tag
{
    public $allow;
    public $allowfullscreen;
    public $allowpaymentrequest;
    public HeightAttribute $height;
    public $loading;
    public NameAttribute $name;
    public RefererPolicyAttribute $refererPolicy;
    public $sandbox;
    public SourceAttribute $src;
    public SourceDocumentAttribute $srcdoc;
    public WidthAttribute $width;

    protected function getTag(): string
    {
        return 'frame';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
