<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\CiteAttribute;
use ePHPic\View\Attributes\DateTimeAttribute;
use ePHPic\View\Tag;

class InsertedTag extends Tag
{
    public CiteAttribute $cite;
    public DateTimeAttribute $datetime;

    protected function getTag(): string
    {
        return 'ins';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
