<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\CharsetAttribute;
use ePHPic\View\Attributes\ContentAttribute;
use ePHPic\View\Attributes\HttpEquivalentAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Tag;

class MetaTag extends Tag
{
    public CharsetAttribute $charset;
    public ContentAttribute $content;
    public HttpEquivalentAttribute $httpEquivalent;
    public NameAttribute $name;

    protected function getTag(): string
    {
        return 'meta';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
