<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\HighAttribute;
use ePHPic\View\Attributes\MaxAttribute;
use ePHPic\View\Attributes\MinAttribute;
use ePHPic\View\Attributes\OptimumAttribute;
use ePHPic\View\Attributes\ValueAttribute;
use ePHPic\View\Tag;

class MeterTag extends Tag
{
    public FormAttribute $form;
    public HighAttribute $high;
    public $low;
    public MaxAttribute $max;
    public MinAttribute $min;
    public OptimumAttribute $optimum;
    public ValueAttribute $value;

    protected function getTag(): string
    {
        return 'meter';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
