<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\DataAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Attributes\UseMapAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class ObjectTag extends Tag
{
    public DataAttribute $data;
    public FormAttribute $form;
    public HeightAttribute $height;
    public NameAttribute $name;
    public TypeAttribute $type;
    public $typemustmatch;
    public UseMapAttribute $useMap;
    public WidthAttribute $width;

    protected function getTag(): string
    {
        return 'object';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
