<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\ReversedAttribute;
use ePHPic\View\Attributes\StartAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class OrderedListTag extends Tag
{
    public ReversedAttribute $reversed;
    public StartAttribute $start;
    public TypeAttribute $type;

    protected function getTag(): string
    {
        return 'ol';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
