<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AutoFocusAttribute;
use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\MultipleAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\RequiredAttribute;
use ePHPic\View\Attributes\SizeAttribute;
use ePHPic\View\Tag;

class SelectTag extends Tag
{
    public AutoFocusAttribute $autoFocus;
    public DisabledAttribute $disabled;
    public FormAttribute $form;
    public MultipleAttribute $multiple;
    public NameAttribute $name;
    public RequiredAttribute $required;
    public SizeAttribute $size;

    protected function getTag(): string
    {
        return 'select';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
