<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\ColsAttribute;
use ePHPic\View\Attributes\HeadersAttribute;
use ePHPic\View\Attributes\RowspanAttribute;
use ePHPic\View\Tag;

class TableCellTag extends Tag
{
    public ColsAttribute $colspan;
    public HeadersAttribute $headers;
    public RowspanAttribute $rowspan;

    protected function getTag(): string
    {
        return 'td';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
