<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\ColspanAttribute;
use ePHPic\View\Attributes\HeadersAttribute;
use ePHPic\View\Attributes\RowspanAttribute;
use ePHPic\View\Attributes\ScopeAttribute;
use ePHPic\View\Tag;

class TableHeadingCellTag extends Tag
{
    public $abbr;
    public ColspanAttribute $colspan;
    public HeadersAttribute $headers;
    public RowspanAttribute $rowspan;
    public ScopeAttribute $scope;

    protected function getTag(): string
    {
        return 'th';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
