<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AutoPlayAttribute;
use ePHPic\View\Attributes\ControlsAttribute;
use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\LoopAttribute;
use ePHPic\View\Attributes\MutedAttribute;
use ePHPic\View\Attributes\PreloadAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class VideoTag extends Tag
{
    public AutoPlayAttribute $autoplay;
    public ControlsAttribute $controls;
    public HeightAttribute $height;
    public LoopAttribute $loop;
    public MutedAttribute $muted;
    public $poster;
    public PreloadAttribute $preload;
    public SourceAttribute $src;
    public WidthAttribute $width;

    protected function getTag(): string
    {
        return 'video';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
