<?php

namespace ePHPic\View;

abstract class View implements RenderableInterface
{
    protected array $data = [];

    abstract public function render(): string;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public static function make(array $data): static
    {
        return new static ($data);
    }
}