<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class DirectionAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            "rtl",
            "ltr"
        ];
    }
    public function __toString(): string
    {
        return (string) $this->value;
    }
    protected function name(): string
    {
        return "dir";
    }
}