<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class DraggableAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            true,
            false,
            "auto",
        ];
    }
    public function __toString(): string
    {
        return match ($this->value) {
            true => 'true',
            false => 'false',
            'auto' => 'auto',
            default => (string) $this->value,
        };
    }
    protected function name(): string
    {
        return "draggable";
    }
}