<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class EnterKeyHintAttributes extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            "done",
            "enter",
            "go",
            "next",
            "previous",
            "search",
            "send",
        ];
    }
    public function __toString(): string
    {
        return (string) $this->value;
    }
    protected function name(): string
    {
        return "enterkeyhint";
    }
}