<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class RefererPolicyAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            "no-referrer", 
            "no-referrer-when-downgrade", 
            "origin", 
            "origin-when-cross-origin", 
            "same-origin", 
            "strict-origin-when-cross-origin", 
            "unsafe-url"
        ];
    }
    public function __toString(): string
    {
        return (string) $this->value;
    }
    protected function name(): string
    {
        return " referrerpolicy";
    }
}