<?php

namespace ePHPic\View\Attributes;

use ePHPic\View\EnumAttribute;

class ShapeAttribute extends EnumAttribute
{
    protected function getValidValues(): array
    {
        return [
            "rect",
            "circle",
            "poly",
            "default",
        ];
    }
    public function __toString(): string
    {
        return (string) $this->value;
    }
    protected function name(): string
    {
        return "shape";
    }
}