<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\HrefAttribute;
use ePHPic\View\Attributes\TargetAttribute;
use ePHPic\View\Tag;

class BaseTag extends Tag
{
    public HrefAttribute $href;
    public TargetAttribute $target;
    
    protected function getTag(): string
    {
        return 'base';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
