<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class CanvasAttribute extends Tag
{
    public HeightAttribute $height;
    public WidthAttribute $width;

    protected function getTag(): string
    {
        return 'canvas';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
