<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class EmbedTag extends Tag
{
    public HeightAttribute $height;
    public SourceAttribute $src;
    public TypeAttribute $type;
    public WidthAttribute $width;

    protected function getTag(): string
    {
        return 'embed';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
