<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Tag;

class FieldsetTag extends Tag
{
    public DisabledAttribute $disabled;
    public FormAttribute $form;
    public NameAttribute $name;

    protected function getTag(): string
    {
        return 'fieldset';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
