<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\ForAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Tag;

class LabelTag extends Tag
{
    public FormAttribute $form;
    public ForAttribute $for;

    protected function getTag(): string
    {
        return 'label';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
