<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\HrefAttribute;
use ePHPic\View\Attributes\HrefLanguageAttribute;
use ePHPic\View\Attributes\MediaAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\RelationAttribute;
use ePHPic\View\Attributes\SizesAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class LinkTag extends Tag
{
    public $crossorigin;
    public HrefAttribute $href;
    public HrefLanguageAttribute $hrefLang;
    public MediaAttribute $media;
    public RefererPolicyAttribute $refererPolicy;
    public RelationAttribute $rel;
    public SizesAttribute $sizes;
    public $title;
    public TypeAttribute $type;
    
    protected function getTag(): string
    {
        return 'li';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
