<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\LabelAttribute;
use ePHPic\View\Attributes\SelectedAttribute;
use ePHPic\View\Attributes\ValueAttribute;
use ePHPic\View\Tag;

class OptionTag extends Tag
{
    public DisabledAttribute $disabled;
    public LabelAttribute $label;
    public SelectedAttribute $selected;
    public ValueAttribute $value;

    protected function getTag(): string
    {
        return 'option';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
