<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\LabelAttribute;
use ePHPic\View\Tag;

class OptionsGroupTag extends Tag
{
    public DisabledAttribute $disabled;
    public LabelAttribute $label;

    protected function getTag(): string
    {
        return 'optgroup';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
