<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\ForAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Tag;

class OutputTag extends Tag
{
    public ForAttribute $for;
    public FormAttribute $form;
    public NameAttribute $name;

    protected function getTag(): string
    {
        return 'output';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
