<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\ValueAttribute;
use ePHPic\View\Tag;

class ParameterTag extends Tag
{
    public NameAttribute $name;
    public ValueAttribute $value;

    protected function getTag(): string
    {
        return 'param';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
