<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\MaxAttribute;
use ePHPic\View\Attributes\ValueAttribute;
use ePHPic\View\Tag;

class ProgressTag extends Tag
{
    public MaxAttribute $max;
    public ValueAttribute $value;

    protected function getTag(): string
    {
        return 'progress';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
