<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\MediaAttribute;
use ePHPic\View\Attributes\SizeAttribute;
use ePHPic\View\Attributes\SizesAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class SourceTag extends Tag
{
    public MediaAttribute $media;
    public SizesAttribute $sizes;
    public SourceAttribute $src;
    public $srcset;
    public TypeAttribute $type;


    protected function getTag(): string
    {
        return 'source';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
