<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\MediaAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class StyleTag extends Tag
{
    public MediaAttribute $media;
    public TypeAttribute $type;

    protected function getTag(): string
    {
        return 'style';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
