<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\DefaultAttribute;
use ePHPic\View\Attributes\KindAttribute;
use ePHPic\View\Attributes\LabelAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\SourceLanguageAttribute;
use ePHPic\View\Tag;

class TrackTag extends Tag
{
    public DefaultAttribute $default;
    public KindAttribute $kind;
    public LabelAttribute $label;
    public SourceAttribute $src;
    public SourceLanguageAttribute $srclang;

    protected function getTag(): string
    {
        return 'track';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
